commit: 6239799ea9a410047ee324758ed6f5423626cbfc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 16 06:09:42 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 16 06:09:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6239799e
media-gfx/mypaint: Permit numpy-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
media-gfx/mypaint/mypaint-1.2.1-r3.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/media-gfx/mypaint/mypaint-1.2.1-r3.ebuild
b/media-gfx/mypaint/mypaint-1.2.1-r3.ebuild
index a557d74eb68..d30ef32ed43 100644
--- a/media-gfx/mypaint/mypaint-1.2.1-r3.ebuild
+++ b/media-gfx/mypaint/mypaint-1.2.1-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -21,7 +21,10 @@ LANGS="cs de en_CA en_GB es fr hu id it ja ko nb nn_NO pl
pt_BR ro ru sl sv uk z
RDEPEND="${PYTHON_DEPS}
dev-python/pygobject:3[${PYTHON_USEDEP}]
- dev-python/numpy[${PYTHON_USEDEP}]
+ || (
+ dev-python/numpy-python2[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
>=dev-python/pycairo-1.4[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
>=dev-libs/json-c-0.11:=